# LBoW example notebooks
The use of the LBoW package is demonstrated by means of jupyter notebooks. The following example notebooks are available:
- Steady state flow problems
  - [Surface corrugation](1-steady-state--surface-corrugation.ipynb) notebook, calculating the solution for uniform, stratified flow over a sinusoidal surface corrugation.
  - [Witch of Agnesi](2-steady-state--witch-of-Agnesi.ipynb) notebook, calculating the solution for uniform, stratified flow over a bell-shaped hill (known as the Witch of Agnesi).
  - [Trapped wave](3-steady-state--trapped-wave-solution.ipynb) notebook, showing the impact of an artificial rigid lid on downward wave reflections.
- Transient flow problems
  - [Impulse response](4-transient--impulse-response.ipynb) notebook, illustrating the temporal evolution of buoyancy waves by approximating the impulse reponse.
  - [Transition to steady state](5-transient--step-function.ipynb) ("step function") notebook, illustrating the transition from unperturbed flow to a steady state buoyancy wave field.
